<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="en">
<head>
<!-- Generated by javadoc (1.8.0_231) on Fri Dec 06 14:58:26 GMT 2019 -->
<title>S-Index</title>
<meta name="date" content="2019-12-06">
<link rel="stylesheet" type="text/css" href="../stylesheet.css" title="Style">
<script type="text/javascript" src="../script.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="S-Index";
        }
    }
    catch(err) {
    }
//-->
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.top.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../overview-summary.html">Overview</a></li>
<li>Package</li>
<li>Class</li>
<li>Use</li>
<li><a href="../overview-tree.html">Tree</a></li>
<li><a href="../deprecated-list.html">Deprecated</a></li>
<li class="navBarCell1Rev">Index</li>
<li><a href="../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="index-14.html">Prev Letter</a></li>
<li><a href="index-16.html">Next Letter</a></li>
</ul>
<ul class="navList">
<li><a href="../index.html?index-files/index-15.html" target="_top">Frames</a></li>
<li><a href="index-15.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_top">
<li><a href="../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<a name="skip.navbar.top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<div class="contentContainer"><a href="index-1.html">A</a>&nbsp;<a href="index-2.html">B</a>&nbsp;<a href="index-3.html">C</a>&nbsp;<a href="index-4.html">D</a>&nbsp;<a href="index-5.html">F</a>&nbsp;<a href="index-6.html">G</a>&nbsp;<a href="index-7.html">H</a>&nbsp;<a href="index-8.html">I</a>&nbsp;<a href="index-9.html">J</a>&nbsp;<a href="index-10.html">K</a>&nbsp;<a href="index-11.html">M</a>&nbsp;<a href="index-12.html">N</a>&nbsp;<a href="index-13.html">P</a>&nbsp;<a href="index-14.html">R</a>&nbsp;<a href="index-15.html">S</a>&nbsp;<a href="index-16.html">T</a>&nbsp;<a href="index-17.html">U</a>&nbsp;<a href="index-18.html">V</a>&nbsp;<a name="I:S">
<!--   -->
</a>
<h2 class="title">S</h2>
<dl>
<dt><span class="memberNameLink"><a href="../cards/Card.html#search-int-">search(int)</a></span> - Method in interface cards.<a href="../cards/Card.html" title="interface in cards">Card</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../cards/Chance.html#search-int-">search(int)</a></span> - Method in class cards.<a href="../cards/Chance.html" title="class in cards">Chance</a></dt>
<dd>
<div class="block">Returns a string by searching for a card's corresponding index in the file</div>
</dd>
<dt><span class="memberNameLink"><a href="../cards/CommunityChest.html#search-int-">search(int)</a></span> - Method in class cards.<a href="../cards/CommunityChest.html" title="class in cards">CommunityChest</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../player/Bank.html#sellHH-player.Player-board.Board-">sellHH(Player, Board)</a></span> - Method in class player.<a href="../player/Bank.html" title="class in player">Bank</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../board/Property.html#sellHotel--">sellHotel()</a></span> - Method in class board.<a href="../board/Property.html" title="class in board">Property</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../board/Property.html#sellHouse--">sellHouse()</a></span> - Method in class board.<a href="../board/Property.html" title="class in board">Property</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../player/Player.html#sellProperty-player.Player-board.PurchaseableSquare-int-">sellProperty(Player, PurchaseableSquare, int)</a></span> - Method in class player.<a href="../player/Player.html" title="class in player">Player</a></dt>
<dd>
<div class="block">sellProperty returns true if the property was sold successfully.</div>
</dd>
<dt><span class="memberNameLink"><a href="../cards/Chance.html#setAction-cards.Action-">setAction(Action)</a></span> - Method in class cards.<a href="../cards/Chance.html" title="class in cards">Chance</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../cards/CommunityChest.html#setAction-cards.Action-">setAction(Action)</a></span> - Method in class cards.<a href="../cards/CommunityChest.html" title="class in cards">CommunityChest</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../cards/Chance.html#setAmount-int-">setAmount(int)</a></span> - Method in class cards.<a href="../cards/Chance.html" title="class in cards">Chance</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../cards/CommunityChest.html#setAmount-int-">setAmount(int)</a></span> - Method in class cards.<a href="../cards/CommunityChest.html" title="class in cards">CommunityChest</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../game/Bid.html#setAmount-int-">setAmount(int)</a></span> - Method in class game.<a href="../game/Bid.html" title="class in game">Bid</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../game/Bid.html#setBid-int-player.Player-">setBid(int, Player)</a></span> - Method in class game.<a href="../game/Bid.html" title="class in game">Bid</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../game/Bid.html#setBidder-player.Player-">setBidder(Player)</a></span> - Method in class game.<a href="../game/Bid.html" title="class in game">Bid</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../board/Board.html#setBoard-java.util.ArrayList-">setBoard(ArrayList&lt;Square&gt;)</a></span> - Method in class board.<a href="../board/Board.html" title="class in board">Board</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../cards/Chance.html#setCardDetails-java.lang.String-">setCardDetails(String)</a></span> - Method in class cards.<a href="../cards/Chance.html" title="class in cards">Chance</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../cards/CommunityChest.html#setCardDetails-java.lang.String-">setCardDetails(String)</a></span> - Method in class cards.<a href="../cards/CommunityChest.html" title="class in cards">CommunityChest</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../game/Game.html#setChanceDeck-cards.Deck-">setChanceDeck(Deck)</a></span> - Method in class game.<a href="../game/Game.html" title="class in game">Game</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../board/Property.html#setColour-board.Colour-">setColour(Colour)</a></span> - Method in class board.<a href="../board/Property.html" title="class in board">Property</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../game/Game.html#setCommunityChestDeck-cards.Deck-">setCommunityChestDeck(Deck)</a></span> - Method in class game.<a href="../game/Game.html" title="class in game">Game</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../cards/Deck.html#setDeck-java.util.ArrayList-">setDeck(ArrayList&lt;Integer&gt;)</a></span> - Method in class cards.<a href="../cards/Deck.html" title="class in cards">Deck</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../cards/Deck.html#setDeckType-cards.CardType-">setDeckType(CardType)</a></span> - Method in class cards.<a href="../cards/Deck.html" title="class in cards">Deck</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../player/Player.html#setDoubleCount-int-">setDoubleCount(int)</a></span> - Method in class player.<a href="../player/Player.html" title="class in player">Player</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../player/Player.html#setEscapingJail-int-">setEscapingJail(int)</a></span> - Method in class player.<a href="../player/Player.html" title="class in player">Player</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../cards/Chance.html#setGetOutOfJailFreeCard-boolean-">setGetOutOfJailFreeCard(boolean)</a></span> - Method in class cards.<a href="../cards/Chance.html" title="class in cards">Chance</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../cards/CommunityChest.html#setGetOutOfJailFreeCard-boolean-">setGetOutOfJailFreeCard(boolean)</a></span> - Method in class cards.<a href="../cards/CommunityChest.html" title="class in cards">CommunityChest</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../player/Player.html#setHand-java.util.ArrayList-">setHand(ArrayList&lt;PurchaseableSquare&gt;)</a></span> - Method in class player.<a href="../player/Player.html" title="class in player">Player</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../cards/Chance.html#setHotelCost-int-">setHotelCost(int)</a></span> - Method in class cards.<a href="../cards/Chance.html" title="class in cards">Chance</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../cards/CommunityChest.html#setHotelCost-int-">setHotelCost(int)</a></span> - Method in class cards.<a href="../cards/CommunityChest.html" title="class in cards">CommunityChest</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../board/Property.html#setHotels-int-">setHotels(int)</a></span> - Method in class board.<a href="../board/Property.html" title="class in board">Property</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../cards/Chance.html#setHouseCost-int-">setHouseCost(int)</a></span> - Method in class cards.<a href="../cards/Chance.html" title="class in cards">Chance</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../cards/CommunityChest.html#setHouseCost-int-">setHouseCost(int)</a></span> - Method in class cards.<a href="../cards/CommunityChest.html" title="class in cards">CommunityChest</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../board/Property.html#setHouses-int-">setHouses(int)</a></span> - Method in class board.<a href="../board/Property.html" title="class in board">Property</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../game/Input.html#setIndex-int-">setIndex(int)</a></span> - Method in class game.<a href="../game/Input.html" title="class in game">Input</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../player/Player.html#setInJail-boolean-">setInJail(boolean)</a></span> - Method in class player.<a href="../player/Player.html" title="class in player">Player</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../game/Input.html#setInput-java.util.Scanner-">setInput(Scanner)</a></span> - Method in class game.<a href="../game/Input.html" title="class in game">Input</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../cards/Chance.html#setJailFlag-boolean-">setJailFlag(boolean)</a></span> - Method in class cards.<a href="../cards/Chance.html" title="class in cards">Chance</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../cards/CommunityChest.html#setJailFlag-boolean-">setJailFlag(boolean)</a></span> - Method in class cards.<a href="../cards/CommunityChest.html" title="class in cards">CommunityChest</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../player/Player.html#setJailFreeCards-int-">setJailFreeCards(int)</a></span> - Method in class player.<a href="../player/Player.html" title="class in player">Player</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../game/Input.html#setKeepGoing-boolean-">setKeepGoing(boolean)</a></span> - Method in class game.<a href="../game/Input.html" title="class in game">Input</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../player/Player.html#setMessenger-game.Messenger-">setMessenger(Messenger)</a></span> - Method in class player.<a href="../player/Player.html" title="class in player">Player</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../player/Player.html#setMoney-int-">setMoney(int)</a></span> - Method in class player.<a href="../player/Player.html" title="class in player">Player</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../board/PurchaseableSquare.html#setMortaged-boolean-">setMortaged(boolean)</a></span> - Method in class board.<a href="../board/PurchaseableSquare.html" title="class in board">PurchaseableSquare</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../cards/Chance.html#setMove-int-">setMove(int)</a></span> - Method in class cards.<a href="../cards/Chance.html" title="class in cards">Chance</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../cards/Chance.html#setMoveTo-int-">setMoveTo(int)</a></span> - Method in class cards.<a href="../cards/Chance.html" title="class in cards">Chance</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../cards/CommunityChest.html#setMoveTo-int-">setMoveTo(int)</a></span> - Method in class cards.<a href="../cards/CommunityChest.html" title="class in cards">CommunityChest</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../player/Bank.html#setName-java.lang.String-">setName(String)</a></span> - Method in class player.<a href="../player/Bank.html" title="class in player">Bank</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../player/Player.html#setName-java.lang.String-">setName(String)</a></span> - Method in class player.<a href="../player/Player.html" title="class in player">Player</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../cards/Chance.html#setNearestUtilities-boolean-">setNearestUtilities(boolean)</a></span> - Method in class cards.<a href="../cards/Chance.html" title="class in cards">Chance</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../board/PurchaseableSquare.html#setOwner-player.Player-">setOwner(Player)</a></span> - Method in class board.<a href="../board/PurchaseableSquare.html" title="class in board">PurchaseableSquare</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../game/Bid.html#setPlayerInput-game.Input-">setPlayerInput(Input)</a></span> - Method in class game.<a href="../game/Bid.html" title="class in game">Bid</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../player/Bank.html#setPlayerInput-game.Input-">setPlayerInput(Input)</a></span> - Method in class player.<a href="../player/Bank.html" title="class in player">Bank</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../game/Game.html#setPlayers-java.util.ArrayList-">setPlayers(ArrayList&lt;Player&gt;)</a></span> - Method in class game.<a href="../game/Game.html" title="class in game">Game</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../player/Player.html#setPosition-int-">setPosition(int)</a></span> - Method in class player.<a href="../player/Player.html" title="class in player">Player</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../player/Bank.html#setRemainingHotels-int-">setRemainingHotels(int)</a></span> - Method in class player.<a href="../player/Bank.html" title="class in player">Bank</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../player/Bank.html#setRemainingHouses-int-">setRemainingHouses(int)</a></span> - Method in class player.<a href="../player/Bank.html" title="class in player">Bank</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../player/Player.html#setToken-java.lang.String-">setToken(String)</a></span> - Method in class player.<a href="../player/Player.html" title="class in player">Player</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../game/Input.html#setValid-boolean-">setValid(boolean)</a></span> - Method in class game.<a href="../game/Input.html" title="class in game">Input</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../cards/Deck.html#shuffle--">shuffle()</a></span> - Method in class cards.<a href="../cards/Deck.html" title="class in cards">Deck</a></dt>
<dd>
<div class="block">Shuffles the deck
 Uses collections.shuffle</div>
</dd>
<dt><a href="../player/SixSidedDie.html" title="class in player"><span class="typeNameLink">SixSidedDie</span></a> - Class in <a href="../player/package-summary.html">player</a></dt>
<dd>
<div class="block">A six sided die</div>
</dd>
<dt><span class="memberNameLink"><a href="../player/SixSidedDie.html#SixSidedDie--">SixSidedDie()</a></span> - Constructor for class player.<a href="../player/SixSidedDie.html" title="class in player">SixSidedDie</a></dt>
<dd>&nbsp;</dd>
<dt><a href="../board/Square.html" title="class in board"><span class="typeNameLink">Square</span></a> - Class in <a href="../board/package-summary.html">board</a></dt>
<dd>
<div class="block">An abstract square with base features</div>
</dd>
<dt><span class="memberNameLink"><a href="../board/Square.html#Square-java.lang.String-int-">Square(String, int)</a></span> - Constructor for class board.<a href="../board/Square.html" title="class in board">Square</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../game/Game.html#squareInteractions-player.Player-board.Square-">squareInteractions(Player, Square)</a></span> - Method in class game.<a href="../game/Game.html" title="class in game">Game</a></dt>
<dd>
<div class="block">Checks if a square is owned by another player</div>
</dd>
<dt><span class="memberNameLink"><a href="../game/Messenger.html#startOfGame-boolean-">startOfGame(boolean)</a></span> - Method in class game.<a href="../game/Messenger.html" title="class in game">Messenger</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../player/Player.html#sumPoints--">sumPoints()</a></span> - Method in class player.<a href="../player/Player.html" title="class in player">Player</a></dt>
<dd>
<div class="block">Sums all the scores for the win condition, cash, property value and house/hotel value</div>
</dd>
</dl>
<a href="index-1.html">A</a>&nbsp;<a href="index-2.html">B</a>&nbsp;<a href="index-3.html">C</a>&nbsp;<a href="index-4.html">D</a>&nbsp;<a href="index-5.html">F</a>&nbsp;<a href="index-6.html">G</a>&nbsp;<a href="index-7.html">H</a>&nbsp;<a href="index-8.html">I</a>&nbsp;<a href="index-9.html">J</a>&nbsp;<a href="index-10.html">K</a>&nbsp;<a href="index-11.html">M</a>&nbsp;<a href="index-12.html">N</a>&nbsp;<a href="index-13.html">P</a>&nbsp;<a href="index-14.html">R</a>&nbsp;<a href="index-15.html">S</a>&nbsp;<a href="index-16.html">T</a>&nbsp;<a href="index-17.html">U</a>&nbsp;<a href="index-18.html">V</a>&nbsp;</div>
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.bottom.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../overview-summary.html">Overview</a></li>
<li>Package</li>
<li>Class</li>
<li>Use</li>
<li><a href="../overview-tree.html">Tree</a></li>
<li><a href="../deprecated-list.html">Deprecated</a></li>
<li class="navBarCell1Rev">Index</li>
<li><a href="../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="index-14.html">Prev Letter</a></li>
<li><a href="index-16.html">Next Letter</a></li>
</ul>
<ul class="navList">
<li><a href="../index.html?index-files/index-15.html" target="_top">Frames</a></li>
<li><a href="index-15.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<a name="skip.navbar.bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
</body>
</html>
